using UnityEngine;
using System.Collections;

public class PlayerController : MonoBehaviour {
	public float fwdSpeed  = 10.0f;
	public float turnRate = 2.0f;
	
	// Use this for initialization
	void Start () {
	
	}
	
	
	void FixedUpdate () {
		float inputSpeed = Input.GetAxis("Vertical");
		float inputTurn = Input.GetAxis("Horizontal");
		float inputStrafe = Input.GetAxis("Fire3");
		
		Movement(inputSpeed,inputTurn, inputStrafe);
	}
	
	void Movement(float inputSpeed, float inputTurn, float inputStrafe)
	{
		transform.RotateAround(Vector3.up,turnRate*inputTurn*Time.deltaTime);
		
		Vector3 movementVector = transform.forward * fwdSpeed * inputSpeed;
		Vector3 sideVector = transform.right * fwdSpeed * inputStrafe;
		
		Vector3 totalMovementVector = movementVector + sideVector;
		
		CharacterController ctrl = (CharacterController)GetComponent("CharacterController");
		ctrl.Move(totalMovementVector * Time.deltaTime);
	}
}
