using UnityEngine;
using System.Collections;

public class World {
	protected ArrayList mActors;
	protected Blackboard mBlackboard;
	protected Rect mBounds;
	
	public World()
	{
		mActors = new ArrayList();	
		mBlackboard = new Blackboard();
		mBounds = new Rect(-50,-50,100,100);
		mBlackboard.AddData("ActorList",mActors);
		mBlackboard.AddData("WorldBounds",mBounds);
	}
	
	public void AddActor(Actor a)
	{
		mActors.Add(a);
	}
	
	public void RemoveActor(Actor a)
	{
		mActors.Remove(a);
	}
	
	public Blackboard GetBlackboard()
	{
		return mBlackboard;
	}
	
	
	public void Update()
	{
		
	}
}
