using UnityEngine;
using System.Collections;

public class StateIdle : StateMachineState {
	public StateIdle(StateMachine stateMachine, string stateName):base(stateMachine, stateName)
	{
		AddTransition("MSG_ANIMATION_TIMEOUT","WANDER");
		
		//UNCOMMENT CODE BELOW TO ADD A FLEE BEHAVIOR WHEN ANOTHER ACTOR IS NEAR
		//AddTransition("MSG_ACTOR_NEAR","FLEE");
		
	}
	
    public override void OnEnterState()
    {
    	base.OnEnterState();
    	Actor actor =  mStateMachine.GetActor();
		actor.SetAnimation("IdleFishing");
		actor.AddAnimationTimeout(2.5f);

    }
    
    public override void OnExitState()
    {
    	base.OnExitState();
    }
}
